dt=0.1
rho=10.0
T=1.0
alpha=pi/2.0
grav=0.005
Ly=25
delta=0

etakin=rho*T*dt*(rho/(1.0-cos(2.0*alpha))/(rho-1.0+exp(-rho))-0.5)
etacoll=(1.0-cos(alpha))/12.0/dt*(rho-1.0+exp(-rho))
eta=etakin+etacoll
vmax=grav*Ly*Ly/(8.0*eta/rho)
f(x)=4.0*vmax*(Ly+delta-x)*(x+delta)/(Ly*Ly)

plot [0:Ly][:] f(x) 
replot 'flowprofile.dat'
